Catalogs
A programatic method to query the list of skills available for integration.
Last updated
A programatic method to query the list of skills available for integration.
POST https://api.finqware.com/v1/skills/get
This endpoint allows you query the list of Finqware skills.
client_id*
string
An identifier for your tenant app.
client_secret*
string
A tenant app secret.
[
{
"country": "Romania",
// sandbox | production - this is related to the external API (skill) type
"level": "sandbox",
// the financial institution providing the API
"service_provider": "XYZ Bank",
// the internal Finqware name/identifier for the skill, including the version
"skill": "xyz_ro_aisp_sbx_#1.0",
"skill_description": "Account information backed by PSD2 AIS",
// currently account_information | payment_initiation
"skill_type": "account_information",
// a list of steps required to be implemented by the tenant app
"steps": [
{
"name": "account_input",
"order": 1,
"data": {
"accounts": [
{
"currency": "string",
"iban": "string"
}
],
"psu_id": "string"
}
},
{
"name": "sca",
"order": 2
"data": {
"psu_redirect_link": "string"
}
}
],
"version": "1.0"
},
{
...
}
]Last updated
// check the errors docs page for details
{
"id": "uuid",
"type": "invalid_request",
"http": 400,
"code": "invalid_client_id",
"message": "error message"
}